Updates the specified custom field definition.

PUThttps://api.awork.com/api/v1/customfielddefinitions/{customFieldDefinitionId}
PUT https://api.awork.com/api/v1/customfielddefinitions/{customFieldDefinitionId}

Updates the definition's name, type, or order. Type changes are limited to compatible date and date-time types or select and colored-select types.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

customFieldDefinitionIdstringRequired
format: uuid

The id of the custom field definition to update.

Request body Required

The model to change the custom field definition.

application/json

namestringRequired
minLength: 1 maxLength: 255

The name of the custom field definition.

typestringRequired

Allowed: "text" "number" "date" "datetime" "select" "coloredSelect" "link" "boolean" "user" "client"

minLength: 1

The type of the custom field definition. When updating a custom field definition, only the following changes are allowed: 'date' ↔ 'datetime', 'select' ↔ 'coloredSelect'.

ordernumber or nullOptional
format: double

The global (workspace-level) order of the custom field definition. Only project custom field definitions have a global order.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the custom field definition.

namestring or nullOptional

The name of the custom field definition.

entitystringOptional

Allowed: "task" "project"

The entity the custom field definition can be linked to.

typestringOptional

Allowed: "text" "number" "date" "datetime" "select" "coloredSelect" "link" "boolean" "user" "client"

The type of the custom field definition.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

ordernumber or nullOptional
format: double

If it's a project custom field, it's the global order of the custom field definition. Otherwise, it's the order of the custom field definition within a project template or a project.

isExternalbooleanOptional

True if this entity is coming from an external workspace (awork Connect).

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation